Validate Access Token

Validates the provided Access Token to ensure its authenticity and validity.

GET
/api/v2/access_token/validate

Validates the provided Access Token to ensure its authenticity and validity.

Authorization

X-LoginRadius-ApiSecret<token>

In: header

X-LoginRadius-ApiKey<token>

In: header

Query Parameters

access_token*string

Access Token of the User

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/api/v2/access_token/validate?access_token=1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  "expires_in": "3600"
}

{
  "errorCode": 922,
  "message": "API key is missing",
  "description": "The request is missing the API key, please use the valid API key parameter in order to process this request."
}

{
  "errorCode": 902,
  "message": "The API secret is unauthorized",
  "description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "errorCode": 901,
  "message": "The API key is unauthorized",
  "description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}